<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Switchable_Base/TLRLight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dea/_t_l_r_light_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TLRLight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/dea/_t_l_r_light_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>TLRLight <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/d67/class_switchable___base.html">Switchable_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a8f723070ad0f8de052317dcd164453d0">    3</a></span>    PistollightLight    <a class="code hl_variable" href="../../d7/d67/class_switchable___base.html#a8f723070ad0f8de052317dcd164453d0">m_Light</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#acb16ce8c7be053720e3ae51a35f65ef1">    5</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span>          REFLECTOR_ID = 1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a5cc3dfd9fe7cb44b2a91790ebc800497">    6</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span>          GLASS_ID = 0;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a1aafec490ec0e6ebfe34cf304fe5ee39">    8</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>       LIGHT_OFF_GLASS = <span class="stringliteral">&quot;dz\\gear\\tools\\data\\flashlight_glass.rvmat&quot;</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#ada8a5a64032b6392c4eb7c0f3d473057">    9</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>       LIGHT_OFF_REFLECTOR = <span class="stringliteral">&quot;dz\\weapons\\attachments\\data\\TLS3.rvmat&quot;</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#ade580c295a73feded4e14e5d7b285aa4">   10</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>       LIGHT_ON_GLASS = <span class="stringliteral">&quot;dz\\gear\\tools\\data\\flashlight_glass_on.rvmat&quot;</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#ae08433a5cd20b5892322096622782b0d">   11</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>       LIGHT_ON_REFLECTOR = <span class="stringliteral">&quot;dz\\weapons\\attachments\\data\\TLS3_on.rvmat&quot;</span>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#af6f4515236038f8b68c84aa3a1d61139">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#af6f4515236038f8b68c84aa3a1d61139">CanPutAsAttachment</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span>(!super.CanPutAsAttachment(parent)) {<span class="keywordflow">return</span> <span class="keyword">false</span>;}</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span> ( !parent.IsKindOf(<span class="stringliteral">&quot;PlateCarrierHolster&quot;</span>) &amp;&amp; !parent.IsKindOf(<span class="stringliteral">&quot;PlateCarrierComplete&quot;</span>) &amp;&amp; !parent.IsKindOf(<span class="stringliteral">&quot;CarrierHolsterSolo&quot;</span>) &amp;&amp; !parent.IsKindOf(<span class="stringliteral">&quot;ChestHolster&quot;</span>) )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a9d2040eaa2f5e64e2ba9da980952fbe9">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a9d2040eaa2f5e64e2ba9da980952fbe9">OnWasAttached</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <span class="keywordtype">int</span> slot_id )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        super.OnWasAttached( parent, slot_id );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> parent_item;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(parent_item,parent) )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            parent_item.AddLightSourceItem(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a529a3956454f7147f75020a8584ace01">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a529a3956454f7147f75020a8584ace01">OnWasDetached</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <span class="keywordtype">int</span> slot_id )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        super.OnWasDetached( parent, slot_id );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> parent_item;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(parent_item,parent) )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            parent_item.RemoveLightSourceItem();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a4bb9d4400e618b22f09258e8773b513b">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a4bb9d4400e618b22f09258e8773b513b">OnWorkStart</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()  ||  !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() ) <span class="comment">// Client side</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a> = PistollightLight.Cast(  <a class="code hl_class" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>.CreateLight(PistollightLight, <span class="stringliteral">&quot;0 0 0&quot;</span>, 0.08)  ); <span class="comment">// Position is zero because light is attached on parent immediately.</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a>.AttachOnMemoryPoint(<span class="keyword">this</span>, <span class="stringliteral">&quot;beamStart&quot;</span>, <span class="stringliteral">&quot;beamEnd&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a>(GLASS_ID, LIGHT_ON_GLASS);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a>(REFLECTOR_ID, LIGHT_ON_REFLECTOR);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a0b0c190bab45a44071197e86db4ee81e">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a0b0c190bab45a44071197e86db4ee81e">OnWork</a>( <span class="keywordtype">float</span> consumed_energy )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()  ||  !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() ) <span class="comment">// Client side</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            Battery9V battery = Battery9V.Cast( <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().GetEnergySource() );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">if</span> (battery  &amp;&amp;  <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a>)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <span class="keywordtype">float</span> efficiency = battery.GetEfficiency0To1();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <span class="keywordflow">if</span> ( efficiency &lt; 1 )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                    <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a>.<a class="code hl_function" href="../../d8/dbb/class_point_light_base.html#ac098cdd94718f7d4e5c655a163b63caf">SetIntensity</a>( efficiency, <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().GetUpdateInterval() );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                    <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a>.<a class="code hl_function" href="../../d8/dbb/class_point_light_base.html#ac098cdd94718f7d4e5c655a163b63caf">SetIntensity</a>( 1, 0 );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a9a7658ebf24d28e780ea334a0557db48">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a9a7658ebf24d28e780ea334a0557db48">OnWorkStop</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()  ||  !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() ) <span class="comment">// Client side</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a>)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a>.FadeOut();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a> = NULL;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a>(GLASS_ID, LIGHT_OFF_GLASS);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a>(REFLECTOR_ID, LIGHT_OFF_REFLECTOR);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">// Inventory manipulation</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a3690f3f289602d4ad497d8b6e878fdcf">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a3690f3f289602d4ad497d8b6e878fdcf">OnInventoryExit</a>(Man player)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        super.OnInventoryExit(player);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().IsWorking() )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">if</span> (player)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> ori_rotate = player.GetOrientation();</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                ori_rotate = ori_rotate + <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(270,0,0);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                <a class="code hl_function" href="../../dd/d93/_object_8c.html#a0f02085ad510a4834c02d67c63178137">SetOrientation</a>(ori_rotate);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#a76a616d0ed64b2eb4177b431e0b25ad8">  109</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#a76a616d0ed64b2eb4177b431e0b25ad8">SetActions</a>()</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        super.SetActions();</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d4f/class_action_turn_on_while_in_hands.html">ActionTurnOnWhileInHands</a>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../dd/d41/class_action_turn_off_while_in_hands.html">ActionTurnOffWhileInHands</a>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d7/d67/class_switchable___base.html#af946393f867f4c764c0d65b0417a0e46">  116</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d67/class_switchable___base.html#af946393f867f4c764c0d65b0417a0e46">IsLightSource</a>()</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a434e9770e4b89b42958553e851f5c20e"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a></div><div class="ttdeci">proto native void SetObjectMaterial(int index, string mat_name)</div><div class="ttdoc">Change material in hiddenSelections.</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a79cad88633d0faaa6fba7e7cbeb02c6a"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a></div><div class="ttdeci">ComponentEnergyManager GetCompEM()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02289">EntityAI.c:2289</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a3dd67a49e775dde8a49cccc527ec979e"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a></div><div class="ttdeci">protected ExplosiveLight m_Light</div><div class="ttdoc">light</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00031">ExplosivesBase.c:31</a></div></div>
<div class="ttc" id="a_object_8c_html_a0f02085ad510a4834c02d67c63178137"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a0f02085ad510a4834c02d67c63178137">SetOrientation</a></div><div class="ttdeci">proto native void SetOrientation(vector vOrientation)</div><div class="ttdoc">Set orientation (yaw, pitch, roll) in degrees</div></div>
<div class="ttc" id="aclass_action_turn_off_while_in_hands_html"><div class="ttname"><a href="../../dd/d41/class_action_turn_off_while_in_hands.html">ActionTurnOffWhileInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/df7/_action_turn_off_while_in_hands_8c_source.html#l00001">ActionTurnOffWhileInHands.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_on_while_in_hands_html"><div class="ttname"><a href="../../d8/d4f/class_action_turn_on_while_in_hands.html">ActionTurnOnWhileInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d9f/_action_turn_on_while_in_hands_8c_source.html#l00001">ActionTurnOnWhileInHands.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_point_light_base_html_ac098cdd94718f7d4e5c655a163b63caf"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html#ac098cdd94718f7d4e5c655a163b63caf">PointLightBase::SetIntensity</a></div><div class="ttdeci">void SetIntensity(float coef, float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d88/_chemlight_light_8c_source.html#l00016">ChemlightLight.c:16</a></div></div>
<div class="ttc" id="aclass_scripted_light_base_html"><div class="ttname"><a href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_point_light_base_8c_source.html#l00001">PointLightBase.c:2</a></div></div>
<div class="ttc" id="aclass_switchable___base_html"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html">Switchable_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/df3/_chainsaw_8c_source.html#l00001">Chainsaw.c:2</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a0b0c190bab45a44071197e86db4ee81e"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a0b0c190bab45a44071197e86db4ee81e">Switchable_Base::OnWork</a></div><div class="ttdeci">override void OnWork(float consumed_energy)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00057">TLRLight.c:57</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a3690f3f289602d4ad497d8b6e878fdcf"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a3690f3f289602d4ad497d8b6e878fdcf">Switchable_Base::OnInventoryExit</a></div><div class="ttdeci">override void OnInventoryExit(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00094">TLRLight.c:94</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a4bb9d4400e618b22f09258e8773b513b"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a4bb9d4400e618b22f09258e8773b513b">Switchable_Base::OnWorkStart</a></div><div class="ttdeci">override void OnWorkStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00046">TLRLight.c:46</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a529a3956454f7147f75020a8584ace01"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a529a3956454f7147f75020a8584ace01">Switchable_Base::OnWasDetached</a></div><div class="ttdeci">override void OnWasDetached(EntityAI parent, int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00035">TLRLight.c:35</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a76a616d0ed64b2eb4177b431e0b25ad8"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a76a616d0ed64b2eb4177b431e0b25ad8">Switchable_Base::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00109">TLRLight.c:109</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a8f723070ad0f8de052317dcd164453d0"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a8f723070ad0f8de052317dcd164453d0">Switchable_Base::m_Light</a></div><div class="ttdeci">PistollightLight m_Light</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00003">TLRLight.c:3</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a9a7658ebf24d28e780ea334a0557db48"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a9a7658ebf24d28e780ea334a0557db48">Switchable_Base::OnWorkStop</a></div><div class="ttdeci">override void OnWorkStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00079">TLRLight.c:79</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_a9d2040eaa2f5e64e2ba9da980952fbe9"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#a9d2040eaa2f5e64e2ba9da980952fbe9">Switchable_Base::OnWasAttached</a></div><div class="ttdeci">override void OnWasAttached(EntityAI parent, int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00024">TLRLight.c:24</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_af6f4515236038f8b68c84aa3a1d61139"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#af6f4515236038f8b68c84aa3a1d61139">Switchable_Base::CanPutAsAttachment</a></div><div class="ttdeci">override bool CanPutAsAttachment(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00013">TLRLight.c:13</a></div></div>
<div class="ttc" id="aclass_switchable___base_html_af946393f867f4c764c0d65b0417a0e46"><div class="ttname"><a href="../../d7/d67/class_switchable___base.html#af946393f867f4c764c0d65b0417a0e46">Switchable_Base::IsLightSource</a></div><div class="ttdeci">override bool IsLightSource()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_t_l_r_light_8c_source.html#l00116">TLRLight.c:116</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga5bd1deb1c96276d94eeec6fe40955c41"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a></div><div class="ttdeci">proto native vector Vector(float x, float y, float z)</div><div class="ttdoc">Vector constructor from components.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_c4736af39397811cfd94fa2e90fd1302.html">Switchable_Base</a></li><li class="navelem"><a class="el" href="../../d8/dea/_t_l_r_light_8c.html">TLRLight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
